# Binary Utility Functions

[![npm version](https://badge.fury.io/js/binary-utility-functions.svg)](https://badge.fury.io/js/binary-utility-functions)

This library provides a handy set of utility functions for manipulating binary
values- such as those ascertained from a Buffer, or a TCP stream. These functions
can be split into two categories:

1.  Type validity checking
2.  Type conversion

The purpose of this library is to assist with designing or using Binary protocols.

## Getting Started

To get started, simply run: `npm i binary-utility-functions` at the root of the
project.

From here, import the code into a file. Both ESM and CJS imports are supported.

See:

-   `types.md` for details on the integer types that this function supports.
-   `naming_conventions.md` for documentation on function naming conventions.
-   `examples.md` for example usages of every function provided by this library.
